using System;
using UnityEngine;
using UnityEngine.UI;
using UnityEngine.Events;
using System.Collections;
using System.Collections.Generic;

//20240429@14mhz

public class View2AtomPanelText
{
    View2Atom main;
    public int  panel_x;
    public int  panel_y;
    public int  panel_w;
    public int  panel_h;
    public Rect panel_r;
    
    public int  space_x = 2;
    public int  space_y = 2;
    
    public View2AtomPanelText(View2Atom main)
    {
        this.main = main;
        revalidate();
    }

    public void revalidate()
    {
        this.panel_x = main.pane.panel_x + space_x;
        this.panel_y = main.prop.panel_y + main.prop.panel_h + space_y;
        this.panel_w = main.pane.panel_w - space_x*2;
        this.panel_h = 20;
        this.panel_r = new Rect(panel_x, panel_y, panel_w, panel_h);
        
        r0 = new Rect(panel_x + 4, panel_y, panel_w, panel_h);
        r1 = new Rect(panel_x + panel_w - 64, panel_y, panel_w, panel_h);
    }
    
    public bool contains(float x, float y)
    {
        return View2AtomUtil.contains(panel_r, x, y);
    }
    
    ///////////////////////////////////

    public string selected_atom = "";

    Rect r0;
    Rect r1;

    public void draw(Vector2 mousepos)
    {
        View2AtomUtil.drawRectangle(panel_r, Color.black);
        View2AtomUtil.drawText(r0, Color.white, 12, selected_atom);
        View2AtomUtil.drawText(r1, Color.white, 12, "FPS " + main.fpsValue.ToString("0.00"));
    }

    public void update(Vector2 mousepos)
    {
        if (contains(mousepos.x, mousepos.y) == false) return;
        if (Input.GetMouseButtonDown(0) == false) return;
  
    }
}


    