using System;
using UnityEngine;
using UnityEngine.UI;
using UnityEngine.Events;
using System.Collections;
using System.Collections.Generic;

//20240429@14mhz

public class View2AtomPanel
{
    View2Atom main;
    
    public int  panel_x;
    public int  panel_y;
    public int  panel_w;
    public int  panel_h;
    public Rect panel_r;
    
    public int  space_x = 2;
    public int  space_y = 2;
    
    public int  title_x;
    public int  title_y;
    public int  title_w;
    public int  title_h;
    public Rect title_r;
    String      title_n; 
    public Rect title_2;
    public Rect title_3;
    
    public int  close_x;
    public int  close_y;
    public int  close_w;
    public int  close_h; 
    public Rect close_r;   
    
    public Atom useatom;
    
    public View2AtomPanel(View2Atom main)
    {
        this.main = main;
        this.useatom = main.containingAtom;
        revalidate();
    }
    
    public void revalidate()
    {
        this.panel_x = main.panel_x;
        this.panel_y = main.panel_y;
        this.panel_w = main.panel_w;
        this.panel_h = main.panel_h;
        this.panel_r = new Rect(panel_x, panel_y, panel_w, panel_h);
        
        this.title_x = panel_x + space_x;
        this.title_y = panel_y + space_y;
        this.title_w = panel_w - space_x*2;
        this.title_h = 22;
        this.title_r = new Rect(title_x, title_y, title_w, title_h);
        this.title_2 = new Rect(title_x + 74, title_y + 3, title_w, title_h);
        this.title_3 = new Rect(title_x, title_y + title_h, title_w, 1f);
        
        this.close_x = panel_x + panel_w - 24;
        this.close_y = panel_y + space_y - 2;
        this.close_w = 24;
        this.close_h = 24;
        this.close_r = new Rect(close_x, close_y, close_w, close_h);
    }
    
    public bool contains(float x, float y)
    {
        return View2AtomUtil.contains(panel_r, x, y);
    }
    
    ///////////////////////////////////

    public void draw(Vector2 mousepos)
    {
        if (title_n == null)
        {
            this.title_n = "[/" + useatom.type + "/" + useatom.name + "/]"; 
          //this.title_n = "[/" + useatom.category + "/" + useatom.type + "/" + useatom.name + "/]"; 
        }
        
        View2AtomUtil.drawRectangle(panel_r, Color.white);
        
        View2AtomUtil.drawText(title_r, Color.black, 14, "View2Atom");
        View2AtomUtil.drawText(title_2, new Color(0, 0, 0, 0.7f), 10, title_n);
        View2AtomUtil.drawRectangle(title_3, Color.gray);
        
      //View2AtomUtil.drawRectangle(close_r, Color.black);
        View2AtomUtil.drawclose(close_r, Color.white, View2AtomUtil.contains(close_r, mousepos.x, mousepos.y)); 
    }
    
    public void update(Vector2 mousepos)
    {
        if (contains(mousepos.x, mousepos.y) == false) return;
        if (Input.GetMouseButtonDown(0) == false) return;
        
        if (View2AtomUtil.contains(close_r, mousepos.x, mousepos.y))  
        {
            if (false) SuperController.LogMessage("[INF] gui closed ...");
            main.hideHUD.val = true;
            return;
        }   
    }
}


    